<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("mess" . "age" => base64_decode("bWVzc2F" . "nZQ=="), "_4c510e5adc736856" . "0eb3dd6ed429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3Nfc" . "mVzcG9uc2UucGhw"), "_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZw=" . "="), "_b93155ab570822d94f80f2b49a" . "cbdcde" => base64_decode("dXJsZGVjb" . "2Rl"), "_a62d761f3e831ff9d9da39f9c26" . "ecddc" => base64_decode("Li4vY29tbW9u" . "L2NvcmUucGhw"), "_fe2579c" . "ea630be3" . "ef73ecaa" . "47a26a59" . "f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21hcmtfYWR" . "kZWQ="), "u" . "r" . "l" => base64_decode("dX" . "Js"), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0b" . "GU="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a62d761f3" . "e831ff9d9d" . "a39f9c26ec" . "ddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b93155ab570822d94f80f2b" . "49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b93155ab5708" . "22d94f80f2b49" . "acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["titl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_fe2579cea630be3ef73ecaa47a26" . "a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["messag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4c510e5adc7368560eb3dd6" . "ed429e5c5"];